import { stringify } from 'qs';
import request from '@/utils/request';

// 获取服务器时间
export async function getCurrentTime() {
  return request('/api-common/v1/data/getCurrentTime')
}

//查询用户
export async function getUserByUserNoOrNiceNo(params) {
  return request(`/api-app/v1/user/getUserByUserNoOrNiceNo?${stringify(params)}`);
}

// 创建金币充值订单
export async function addCoinRechargeOrderGuest(params) {
  return request('/api-app/v1/recharge/addCoinRechargeOrderGuest', {
    method: 'POST',
    body: params,
  });
}

// 创建支付订单
export async function addPayOrderGuest(params) {
  return request('/api-app/v1/pay/addPayOrderGuest', {
    method: 'POST',
    body: params,
  });
}

// 获取金币充值项目
export async function getCoinRechargeItemsGuest(params) {
  return request(`/api-app/v1/recharge/getCoinRechargeItemsGuest?${stringify(params)}`);
}
